<?
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: upload.php
| Version: 1.0
| Author: jikaka
| Web: www.rusfusion.ru
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INFUSIONS."image_hosting/conf.php";

if (file_exists(INFUSIONS."image_hosting/locale/".$settings['locale'].".php")) {
	include INFUSIONS."image_hosting/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."image_hosting/locale/Persian.php";
}

function createthumb($name,$sourcetype,$filename,$new_w,$new_h){
  if ($sourcetype==".jpg"){
    $src_img=imagecreatefromjpeg($name);
  }
  if ($sourcetype==".png"){
    $src_img=imagecreatefrompng($name);
  }
  if ($sourcetype==".gif"){
    $src_img=imagecreatefromgif($name);
  }

  $old_x=imageSX($src_img);
  $old_y=imageSY($src_img);
  if ($old_x > $old_y) {
    $thumb_w=$new_w;
    $thumb_h=$old_y*($new_h/$old_x);
  }
  if ($old_x < $old_y) {
    $thumb_w=$old_x*($new_w/$old_y);
    $thumb_h=$new_h;
  }
  if ($old_x == $old_y) {
    $thumb_w=$new_w;
    $thumb_h=$new_h;
  }

  $dst_img=ImageCreateTrueColor($thumb_w,$thumb_h);
  imagecopyresampled($dst_img,$src_img,0,0,0,0,$thumb_w,$thumb_h,$old_x,$old_y);

  imagejpeg($dst_img,$filename);
  imagedestroy($dst_img);
  imagedestroy($src_img);
}

if(!isset($_FILES['userfile'])) exit;
if(!is_uploaded_file($_FILES['userfile']['tmp_name'])) exit;

if ($_FILES['userfile']['size']>$max_size) {
  echo "<p align=center>".$locale['ih_020']."</p>";
  exit;
}

$pictype="";
switch(strtolower($_FILES['userfile']['type'])){
  case "image/jpeg" : $pictype=".jpg"; break;
  case "image/pjpeg": $pictype=".jpg"; break;
  case "image/gif"  : $pictype=".gif"; break;
  case "image/png"  : $pictype=".png"; break;
  case "image/x-png": $pictype=".png"; break;
  default           : $pictype=""; break;
}

if($pictype!="") {
  do {
    $uniq=md5(uniqid(rand(),1));
    $srcfile=$path.$uniq.$pictype;
  } while(file_exists($srcfile));

  $res = copy($_FILES['userfile']['tmp_name'], $srcfile);

  if (!$res) {
    echo "<p align=center>".$locale['ih_022']."</p>\n";
    exit;
  }
  @chmod($srcfile,0666);
  $imgf = $path . $uniq . $pictype;
  $thbf = $tpath . $uniq . ".jpg";
  createthumb($imgf,$pictype,$thbf,$tsize,$tsize);
  @chmod($thbf,0666);
  $urlf = $domain.$full_path.$path.$uniq.$pictype;

  opentable($locale['ih_001']);
  echo "<div align='center'><a href='".INFUSIONS."image_hosting/v.php?id=".$uniq.$pictype."' target='_blank'><img src='".$tpath.$uniq.".jpg' border=0></a><br/><br/>\n";
  echo $locale['ih_030']."<br/><input type='text' size='60' onmouseover='this.select()' value='[url=".$domain.$full_path."v.php?id=".$uniq.$pictype."][img]".$domain.$full_path.$tpath.$uniq.".jpg[/img][/url]'><br/><br/>\n";
  echo $locale['ih_031']."<br/><input type='text' size='60' onmouseover='this.select()' value='<a href=\"".$domain.$full_path."v.php?id=".$uniq.$pictype."\" target=\"_blank\"><img src=\"".$domain.$full_path.$tpath.$uniq.".jpg\" border=\"0\"></a>'><br/><br/>\n";
  echo $locale['ih_032']."<br/><input type='text' size='60' onmouseover='this.select()' value='".$domain.$full_path."v.php?id=".$uniq.$pictype."'><br/><br/>\n";
  echo $locale['ih_033']."<br/><input type='text' size='60' onmouseover='this.select()' value='".$urlf."'><br/><br/>\n";
  echo "<a href='".INFUSIONS."image_hosting/ihost.php'>".$locale['ih_042']."</a></div>\n";

} else {
  echo "<p align=center>".$locale['ih_021']."</p>";
  exit;
}

closetable();

require_once THEMES."templates/footer.php";

?>